Create Complex Rule
Creates a product Complex Rule.
Required Fields
- conditions
- modifier_id
- modifier_value_id
- variant_id
Read-Only Fields
- complex_rule_id
- conditions_id
- rule_id
- combination_id
- id
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
product_id
The ID of the Product to which the resource belongs.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
Common ComplexRule properties.
conditions
sort_order
The priority to give this rule when making adjustments to the product properties.
enabled
Flag for determining whether the rule is to be used when adjusting a productʼs price, weight, image, or availabilty.
stop
Flag for determining whether other rules should not be applied after this rule has been applied.
purchasing_disabled
Flag for determining whether the rule should disable purchasing of a product when the conditions are applied.
purchasing_disabled_message
Message displayed on the storefront when a rule disables the purchasing of a product.
image_url
The URL for an image displayed on the storefront when the conditions are applied. Limit of 8MB per file.
price_adjuster
Adjuster for Complex Rules.
weight_adjuster
Adjuster for Complex Rules.
Response
OK
data
Common ComplexRule properties.
meta
Response metadata.
Errors
409
Conflict Error
422
Unprocessable Entity Error